## org.gnu.gdk
Class WindowAttr

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gdk.WindowAttr

public class WindowAttr
extends MemStruct

Attributes to use for a newly-created window.

Constructor Summary
`WindowAttr()`
`WindowAttr(org.gnu.glib.Handle handle)`

Method Summary
`Colormap` `getColormap()`
`Cursor` `getCursor()` Get the cursor used by this WindowAttr.
`Dimension` `getDimension()`
`int` `getEventMask()`
`Point` `getPosition()`
`java.lang.String` `getTitle()`
`Visual` `getVisual()`
`void` `setColormap(Colormap map)`
`void` `setCursor(Cursor cursor)` Set the cursor used by this WindowAttr.
`void` `setDimension(int width, int height)`
`void` `setEventMask(int evtMask)`
`void` `setPosition(int x, int y)`
`void` `setTitle(java.lang.String title)`
`void` `setVisual(Visual visual)`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowAttr

    public WindowAttr(org.gnu.glib.Handle handle)

### WindowAttr

    public WindowAttr()

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getEventMask

    public int getEventMask()

### setEventMask

    public void setEventMask(int evtMask)

### getPosition

    public Point getPosition()

### setPosition

    public void setPosition(int x,
                            int y)

### setDimension

    public void setDimension(int width,
                             int height)

### getDimension

    public Dimension getDimension()

### getVisual

    public Visual getVisual()

### setVisual

    public void setVisual(Visual visual)

### getColormap

    public Colormap getColormap()

### setColormap

    public void setColormap(Colormap map)

### getCursor

    public Cursor getCursor()

  Get the cursor used by this WindowAttr.

  Use `Window.setCursor(org.gnu.gdk.Cursor)` to set the `Window`'s cursor.

### setCursor

    public void setCursor(Cursor cursor)

  Set the cursor used by this WindowAttr.

  Use `Window.setCursor(org.gnu.gdk.Cursor)` to set the `Window`'s cursor.